Interface Technology Basics VST 3.7 SDK for developing VST plug-in

Classes | Namespaces | Macros | Typedefs
ustring.h File Reference
`#include "ftypes.h"`

## Classes
class | UString
| UTF-16 string class without buffer management. More...
class | UStringBuffer< maxSize >
| UTF-16 string with fixed buffer size. More...

## Namespaces
namespace | Steinberg
| This header provides classes for working with FUnknown.

## Macros
#define | USTRING(asciiString) Steinberg::UString256 (asciiString)
#define | USTRINGSIZE(var) (sizeof (var) / sizeof (Steinberg::char16))

## Typedefs
typedef UStringBuffer< 128 > | UString128
| 128 character UTF-16 string More...
typedef UStringBuffer< 256 > | UString256
| 256 character UTF-16 string More...

## Macro Definition Documentation

## ◆ USTRING

#define USTRING | ( |  | asciiString | ) | Steinberg::UString256 (asciiString)

## ◆ USTRINGSIZE

#define USTRINGSIZE | ( |  | var | ) | (sizeof (var) / sizeof (Steinberg::char16))

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.